--[[
Descripttion:接口 - 玩家
version:
Author: Neo,Huang
Date: 2022-07-05 17:32:01
LastEditors: Neo,Huang
LastEditTime: 2022-07-05 20:29:29
--]]
local code = require "code"
local timeUtil = require("utils.timeUtil")
local util_user = require("utils.util_user")

local root = {}

function root:user_keepalive(role)
    return code.OK, {systemTime = timeUtil.now(role.uid)}
end

-- 请求个人信息
function root:user_self_info(role, msg)
    return role.user:itf_get_info(role, msg)
end
-- 登录完成后
function root:after_user_self_info(role, msg)
    local msg = {}
    util_user:user_proto_notify(role.uid, "on_user_system_info", msg)
end

return root
